package com.ynet.life.controller;

import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.life.base.LifeConstants;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/LifeDownLoadFromDataBaseController.class */
public class LifeDownLoadFromDataBaseController extends LifeRequestController {
    private String tableName;
    private String primaryKey;
    private String pkFileNo;

    @Override // com.ynet.life.controller.LifeRequestController
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        if (this.openMonitor) {
            this.accessInfo.newAccess();
        }
        if (this.inputView == null) {
            if (doSessionCheck(request, response) == null) {
                throw LifeConstants.EXCEPTION_SESSION_TIMEOUT;
            }
            String tableName = request.getParameter("tableName");
            String primaryKey = request.getParameter("primaryKey");
            String pkFileNo = request.getParameter("pkFileNo");
            String fileText = request.getParameter("fileText");
            String download = request.getParameter("download");
            Connection conn = LifeDBAccess.getConnection();
            Statement stmt = conn.createStatement();
            String sql = "SELECT * FROM " + tableName + " WHERE " + primaryKey + "='" + pkFileNo + "'";
            ResultSet rs = stmt.executeQuery(sql);
            if ("true".equals(download)) {
                response.setContentType("applica1tion/octet-stream; charset=ISO8859_1");
                response.setHeader("Cache-Control", "");
                response.setHeader("Content-disposition", "attachment; filename=".concat(String.valueOf(pkFileNo)));
            }
            InputStream outIcon = null;
            ServletOutputStream outToFile = null;
            try {
                try {
                    if (rs.next()) {
                        outIcon = rs.getBinaryStream(fileText);
                        outToFile = response.getOutputStream();
                        byte[] iconData = new byte[1024];
                        while (true) {
                            int byteRead = outIcon.read(iconData);
                            if (byteRead == -1) {
                                break;
                            }
                            outToFile.write(iconData, 0, byteRead);
                            outToFile.flush();
                        }
                    }
                    if (outIcon != null) {
                        try {
                            outIcon.close();
                        } catch (Exception unused) {
                            Trace.logDebug("LifeFile", "关闭文件读入流异常");
                        }
                    }
                    if (rs != null) {
                        try {
                            rs.close();
                        } catch (SQLException unused2) {
                            Trace.logError("LifeJDBC", "释放数据库资源异常");
                        }
                    }
                    if (stmt != null) {
                        try {
                            stmt.close();
                        } catch (SQLException unused3) {
                            Trace.logError("LifeJDBC", "释放数据库资源异常");
                        }
                    }
                    try {
                        LifeDBAccess.releaseConnection(conn);
                    } catch (Exception unused4) {
                        Trace.logError("LifeJDBC", "释放数据库链接异常");
                    }
                    if (outToFile != null) {
                        try {
                            outToFile.close();
                            return null;
                        } catch (Exception unused5) {
                            Trace.logDebug("LifeHTTP", "关闭文件输出流异常");
                            return null;
                        }
                    }
                    return null;
                } catch (IOException unused6) {
                    Trace.logError("LifeFile", "读文件异常");
                    if (outIcon != null) {
                        try {
                            outIcon.close();
                        } catch (Exception unused7) {
                            Trace.logDebug("LifeFile", "关闭文件读入流异常");
                        }
                    }
                    if (rs != null) {
                        try {
                            rs.close();
                        } catch (SQLException unused8) {
                            Trace.logError("LifeJDBC", "释放数据库资源异常");
                        }
                    }
                    if (stmt != null) {
                        try {
                            stmt.close();
                        } catch (SQLException unused9) {
                            Trace.logError("LifeJDBC", "释放数据库资源异常");
                        }
                    }
                    try {
                        LifeDBAccess.releaseConnection(conn);
                    } catch (Exception unused10) {
                        Trace.logError("LifeJDBC", "释放数据库链接异常");
                    }
                    if (outToFile != null) {
                        try {
                            outToFile.close();
                            return null;
                        } catch (Exception unused11) {
                            Trace.logDebug("LifeHTTP", "关闭文件输出流异常");
                            return null;
                        }
                    }
                    return null;
                }
            } catch (Throwable th) {
                if (outIcon != null) {
                    try {
                        outIcon.close();
                    } catch (Exception unused12) {
                        Trace.logDebug("LifeFile", "关闭文件读入流异常");
                    }
                }
                if (rs != null) {
                    try {
                        rs.close();
                    } catch (SQLException unused13) {
                        Trace.logError("LifeJDBC", "释放数据库资源异常");
                    }
                }
                if (stmt != null) {
                    try {
                        stmt.close();
                    } catch (SQLException unused14) {
                        Trace.logError("LifeJDBC", "释放数据库资源异常");
                    }
                }
                try {
                    LifeDBAccess.releaseConnection(conn);
                } catch (Exception unused15) {
                    Trace.logError("LifeJDBC", "释放数据库链接异常");
                }
                if (outToFile != null) {
                    try {
                        outToFile.close();
                    } catch (Exception unused16) {
                        Trace.logDebug("LifeHTTP", "关闭文件输出流异常");
                    }
                }
                throw th;
            }
        }
        return null;
    }

    public String getTableName() {
        return this.tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getPkFileNo() {
        return this.pkFileNo;
    }

    public void setPkFileNo(String pkFileNo) {
        this.pkFileNo = pkFileNo;
    }

    public String getPrimaryKey() {
        return this.primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey;
    }
}
